Bug 292381 - Review Request: ladspa-cmt-plugins - A collection of LADSPA plugins
Summary: Review Request: ladspa-cmt-plugins - A collection of LADSPA plugins
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-09-16 09:00 UTC by Hans de Goede
Modified: 2007-11-30 22:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-21 18:54:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Hans de Goede 2007-09-16 09:00:28 UTC
Spec URL: http://people.atrpms.net/~hdegoede/ladspa-cmt-plugins.spec
SRPM URL: http://people.atrpms.net/~hdegoede/ladspa-cmt-plugins-1.15-6.fc8.src.rpm
Description:
The Computer Music Toolkit (CMT) is a collection of LADSPA plugins for
use with software synthesis and recording packages on Linux. See the
license before use.

The CMT is developed primarily by Richard W.E. Furse the principle
designer of the LADSPA standard, with additional plugins by Jezar and
David Bartold. If you are a programmer or can write documentation and
would like to help out, please feel free to contact Richard.

Comment 1 Parag AN(पराग) 2007-09-21 05:50:09 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and RPM.
+ source files match upstream.
aa2f0609aca8b698625d86170c426e2c  cmt_src_1.15.tgz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Pacakge ladspa-cmt-plugins-1.15-6.fc8 ->
  Provides: cmt = 1.15-6.fc8 cmt.so
  Requires: ladspa libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1.3)
libc.so.6(GLIBC_2.4) libgcc_s.so.1 libgcc_s.so.1(GCC_3.0) libm.so.6
libm.so.6(GLIBC_2.0) libstdc++.so.6 libstdc++.so.6(CXXABI_1.3)
libstdc++.so.6(GLIBCXX_3.4) rtld(GNU_HASH)
+ Not a GUI app.
APPROVED.


Comment 2 Hans de Goede 2007-09-21 06:47:20 UTC
Thanks!

New Package CVS Request
=======================
Package Name:      ladspa-cmt-plugins
Short Description: A collection of LADSPA plugins
Owners:            jwrdegoede nando
Branches:          F-7 devel
InitialCC:         <empty>
Cvsextras Commits: Yes


Comment 3 Kevin Fenzi 2007-09-21 16:39:15 UTC
cvs done.

Comment 4 Hans de Goede 2007-09-21 18:54:59 UTC
Imported and build, closing.


Note You need to log in before you can comment on or make changes to this bug.